Bug 856902 - Defauts:!<user> syntax in sudoers doesn't seem to work as expected
Defauts:!<user> syntax in sudoers doesn't seem to work as expected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.9
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
Dalibor Pospíšil
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 01:50 EDT by Karel Srot
Modified: 2013-09-30 20:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: sudo-1.7.2p1-26.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 856901
Environment:
Last Closed: 2013-09-30 20:28:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-09-13 01:50:08 EDT
Same situation on RHEL5 with sudo-1.7.2p1-21.el5

+++ This bug was initially created as a clone of Bug #856901 +++

Description of problem:

!<user> shout match to all users different from <user> but it doesn't seem to work and this patters seem to be ignored


Version-Release number of selected component (if applicable):
sudo-1.7.4p5-13.el6_3.x86_64

How reproducible:
always

Steps to Reproduce:
1. add test user
2. update sudoers with:
user  ALL=(ALL)   NOPASSWD: ALL
Defaults !requiretty        # actually not necessary, this is the default
Defaults:!root requiretty    # require tty for all non-root users
3. login as test user and add this into user's crontab (crontab -e)
* * * * *  /usr/bin/sudo id &> /tmp/id


Actual results:
every minute /tmp/id is updated with the output od the "id" command. This is not correct because cron jobs don't have tty and therefore we should see just the message similar to "sorry, you need tty"
Comment 1 Karel Srot 2012-10-01 01:39:44 EDT
Per https://bugzilla.redhat.com/show_bug.cgi?id=856901#c2
this bug is now regarding man page update that explains the behavior.
Comment 2 RHEL Product and Program Management 2013-05-01 02:47:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2013-05-21 08:35:47 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 13 errata-xmlrpc 2013-09-30 20:28:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1353.html

Note You need to log in before you can comment on or make changes to this bug.